Bug 164202 - [maintainer update] graphics/ocrfeeder 0.7.7
[maintainer update] graphics/ocrfeeder 0.7.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 15:10 UTC by buganini
Modified: 2012-01-24 20:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.17 KB, patch)
2012-01-16 15:10 UTC, buganini
no flags Details | Diff
ocrfeeder-0.7.7.patch.txt (3.94 KB, text/plain; charset=US-ASCII)
2012-01-17 02:57 UTC, buganini
no flags Details
ocrfeeder-0.7.7.NLS.patch.txt (9.30 KB, text/plain; charset=US-ASCII)
2012-01-17 04:53 UTC, buganini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2012-01-16 15:10:09 UTC
Update graphics/ocrfeeder to 0.7.7

Changes:
http://ftp.gnome.org/pub/GNOME/sources/ocrfeeder/0.7/ocrfeeder-0.7.7.news

Build log:
https://redports.org/~buganini/20120116094348-3963-5769/ocrfeeder-0.7.7.log

Fix: Patch attached with submission follows:
Comment 1 buganini 2012-01-16 15:42:35 UTC
New patch:
http://www.cnmc.tw/~buganini/ocrfeeder-0.7.7.patch.txt

add a patch to fix a runtime bug
Comment 2 jgh freebsd_committer 2012-01-17 01:06:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take this, but can't get to new patch. Can you please attach to pr?
Comment 3 buganini 2012-01-17 02:57:17 UTC
Thanks!
Comment 4 jgh freebsd_committer 2012-01-17 03:55:46 UTC
Have you considered adding support for disabling nls? I know some software
allows for this option, however if they work with that option is another
issue.

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-gettext.html#AEN3323

Thanks,
Jason

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 5 buganini 2012-01-17 04:53:23 UTC
How about this patch?
build log will be here: https://redports.org/buildarchive/20120117055058-44773/

but redports doesn't have an option to test WITHOUT_NLS yet.

Regards,
Buganini

2012/1/17 Jason Helfman <jgh@freebsd.org>:
> Have you considered adding support for disabling nls? I know some software
> allows for this option, however if they work with that option is another
> issue.
>
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-gettext.html#AEN3323
>
> Thanks,
> Jason
>
> --
> Jason Helfman         | FreeBSD Committer
> jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 6 buganini 2012-01-17 18:37:18 UTC
Here is build log with WITHOUT_NLS=yes set:
http://redports.org/buildarchive/20120117192545-9712/

Regards,
Buganini
Comment 7 dfilter freebsd_committer 2012-01-24 19:54:35 UTC
jgh         2012-01-24 19:54:22 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ocrfeeder   Makefile distinfo pkg-plist 
  Added files:
    graphics/ocrfeeder/files patch-src-ocrfeeder-util-lib.py 
  Log:
  - Update to 0.7.7
  - Account for DISABLE_NLS
  - Add patch for runtime bug
  
  PR:     ports/164202
  Submitted by: maintainer
  Approved by:    crees, rene (mentors)
  
  Revision  Changes    Path
  1.2       +10 -2     ports/graphics/ocrfeeder/Makefile
  1.2       +2 -2      ports/graphics/ocrfeeder/distinfo
  1.1       +11 -0     ports/graphics/ocrfeeder/files/patch-src-ocrfeeder-util-lib.py (new)
  1.2       +79 -73    ports/graphics/ocrfeeder/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 jgh freebsd_committer 2012-01-24 19:54:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!